---
title: Sensor.activated
slug: Web/API/Sensor/activated
tags:
  - API
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - activated
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>activated</code></strong> read-only property of the {{domxref("Sensor")}} interface returns a {{jsxref("Boolean")}} indicating whether the sensor is active. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>boolean</var> = <em>sensorInstance</em>.activated</pre>

<p>Because {{domxref('Sensor')}} is a base class, <code>activated</code> may only be read from one of its derived classes.</p>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-activated','activated')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>    Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.activated")}}</p>
